#!/bin/sh
# Copyright (C) 2007 Red Hat, Inc. All rights reserved. This
# copyrighted material is made available to anyone wishing to use, modify,
# copy, or redistribute it subject to the terms and conditions of the
# GNU General Public License version 2.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
if [ -x /usr/bin/xdg-user-dirs-update ]; then
    /usr/bin/xdg-user-dirs-update
fi

if [ -f ~/.config/user-dirs.dirs ]; then
	. ~/.config/user-dirs.dirs
	if [ ! -f "$XDG_DESKTOP_DIR"/home.desktop ]; then
		cat << _EOF_ > "$XDG_DESKTOP_DIR"/home.desktop
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=pcmanfm2
Icon=folder_home

Name=Home Folder
Name[ru]=Мои документы
Categories=Filesystem;Application;Utility
_EOF_
	fi

	LIVEINST="/usr/share/applications/livecd-install.desktop"
	if [ ! -f "$XDG_DESKTOP_DIR"/livecd-install.desktop -a -f "$LIVEINST" ]; then
		cp "$LIVEINST" "$XDG_DESKTOP_DIR"/
	fi
fi

